Bug 984327 - [abrt] libreoffice-core-4.1.0.1-8.fc19: gcc3::raiseException: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 6 (SIGABRT)
[abrt] libreoffice-core-4.1.0.1-8.fc19: gcc3::raiseException: Process /usr/li...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:485501daf596bcffa73ef510394...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 19:31 EDT by thraex
Modified: 2013-10-08 08:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 08:22:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (71.29 KB, text/plain)
2013-07-14 19:31 EDT, thraex
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-14 19:32 EDT, thraex
no flags Details
File: core_backtrace (2.56 KB, text/plain)
2013-07-14 19:32 EDT, thraex
no flags Details
File: dso_list (29.50 KB, text/plain)
2013-07-14 19:32 EDT, thraex
no flags Details
File: environ (1.75 KB, text/plain)
2013-07-14 19:32 EDT, thraex
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-14 19:32 EDT, thraex
no flags Details
File: maps (118.29 KB, text/plain)
2013-07-14 19:32 EDT, thraex
no flags Details
File: open_fds (575 bytes, text/plain)
2013-07-14 19:32 EDT, thraex
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-07-14 19:32 EDT, thraex
no flags Details

  None (edit)
Description thraex 2013-07-14 19:31:51 EDT
Description of problem:
I got this crash right after installing the Turkish spellchecker (zemberek-ooo-1.0_rc2.oxt). After relaunching, LibreOffice and the spellchecker seem to work fine though.

Version-Release number of selected component:
libreoffice-core-4.1.0.1-8.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: gcc3::raiseException
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jul 15 00:20:12 localhost abrt[20129]: Saved core dump of pid 20006 (/usr/lib64/libreoffice/program/soffice.bin) to /var/tmp/abrt/ccpp-2013-07-15-00:20:11-20006 (231702528 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 gcc3::raiseException at /usr/src/debug/libreoffice-4.1.0.1/bridges/source/cpp_uno/gcc3_linux_x86-64/except.cxx:277
 #7 cpp2uno_call at /usr/src/debug/libreoffice-4.1.0.1/bridges/source/cpp_uno/gcc3_linux_x86-64/cpp2uno.cxx:206
 #8 cpp_vtable_call at /usr/src/debug/libreoffice-4.1.0.1/bridges/source/cpp_uno/gcc3_linux_x86-64/cpp2uno.cxx:374
 #9 privateSnippetExecutor at /usr/lib64/libreoffice/ure/lib/libgcc3_uno.so
 #10 SpellCheckerDispatcher::isValid_Impl at /usr/src/debug/libreoffice-4.1.0.1/linguistic/source/spelldsp.cxx:398
 #11 SpellCheckerDispatcher::isValid at /usr/src/debug/libreoffice-4.1.0.1/linguistic/source/spelldsp.cxx:233
 #13 SwTxtFrm::_AutoSpell at /usr/src/debug/libreoffice-4.1.0.1/sw/source/core/txtnode/txtedt.cxx:1288
 #14 SwLayIdle::_DoIdleJob at /usr/src/debug/libreoffice-4.1.0.1/sw/source/core/layout/layact.cxx:2065
 #15 _DoIdleJob at /usr/src/debug/libreoffice-4.1.0.1/sw/source/core/layout/layact.cxx:2134
 #16 SwLayIdle::DoIdleJob at /usr/src/debug/libreoffice-4.1.0.1/sw/source/core/layout/layact.cxx:2180

Potential duplicate: bug 906983
Comment 1 thraex 2013-07-14 19:31:58 EDT
Created attachment 773450 [details]
File: backtrace
Comment 2 thraex 2013-07-14 19:32:02 EDT
Created attachment 773451 [details]
File: cgroup
Comment 3 thraex 2013-07-14 19:32:07 EDT
Created attachment 773452 [details]
File: core_backtrace
Comment 4 thraex 2013-07-14 19:32:11 EDT
Created attachment 773453 [details]
File: dso_list
Comment 5 thraex 2013-07-14 19:32:16 EDT
Created attachment 773454 [details]
File: environ
Comment 6 thraex 2013-07-14 19:32:20 EDT
Created attachment 773455 [details]
File: limits
Comment 7 thraex 2013-07-14 19:32:27 EDT
Created attachment 773456 [details]
File: maps
Comment 8 thraex 2013-07-14 19:32:30 EDT
Created attachment 773457 [details]
File: open_fds
Comment 9 thraex 2013-07-14 19:32:37 EDT
Created attachment 773458 [details]
File: proc_pid_status
Comment 10 Caolan McNamara 2013-07-15 08:57:54 EDT
Seems to be a crash in spell checking. Is this reproducible ? And is there any extra spell checking (or grammar checking) extensions installed ?
Comment 11 thraex 2013-07-15 16:23:58 EDT
I tried but couldn't reproduce this crash. Currently the Zemberek Turkish Spell Checker is the only extension installed in the extension manager.
Comment 12 Jean-Denis Girard 2013-07-16 21:33:09 EDT
Libreoffice calc crashes whenever I try to include a formula.
It was working fine 3 days ago.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc /home/jdg/Desktop/Facture-2013/fact2013143-intermat-assistanceb.ods --splash-pipe=5
crash_function: gcc3::raiseException
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.9.9-301.fc19.x86_64
package:        libreoffice-core-4.1.0.1-8.fc19
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            500
xsession_errors:

Note You need to log in before you can comment on or make changes to this bug.